View Issue Details

IDProjectCategoryView StatusLast Update
0003378GNUnetcadet servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToBart Polot 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003378: Mesh quietly ignores messages on unknown connection
DescriptionWhen a message comes with a connection ID unknown to mesh, mesh drops it just updating stats and logging it.

It should send a CONNECTION_BROKEN back to the sender to stop wasting bandwidth and waiting for a timeout.
Additional InformationPossible second bug: sender keeps sending traffic despite no ACKs being sent back.
TagsNo tags attached.

Activities

Bart Polot

2014-04-14 13:10

manager   ~0008238

Implemented in r33059.

Issue History

Date Modified Username Field Change
2014-04-10 14:45 Bart Polot New Issue
2014-04-10 14:45 Bart Polot Status new => assigned
2014-04-10 14:45 Bart Polot Assigned To => Bart Polot
2014-04-14 13:10 Bart Polot Note Added: 0008238
2014-04-14 13:10 Bart Polot Status assigned => resolved
2014-04-14 13:10 Bart Polot Fixed in Version => 0.11.0pre66
2014-04-14 13:10 Bart Polot Resolution open => fixed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service
2018-06-07 00:25 Christian Grothoff Status resolved => closed